Editing subsets doesn't work for shapefiles
Priority: Low
Assignee: Jurgen Fischer
Category: Vectors

Pull Request or Patch supplied:
Easy fix?: No

Resolution: duplicate
Copied to github as #: 13112

Description

| used to edit subsets when | was using [[PostGIS]] layers. Surprisingly that doesn't work for Shapefiles.

As soon as you place a query on a shapefile, it's capabilities drop from 975 to 704, which raises "Provider cannot be opened for editing".

Creating a query also creates an inconsistency in the Ul:

Whilst the editing pen is still blue in the toolbar, it's already greyed out in the attributes table. Clicking the pen in the toolbar raises

aforementioned error and stalls it in grey. Removing the query doesn't solve this issue. Opening the attributes table again, the pen is blue

there.

So it seems, the toolbar's symbol is not up to date.

975 and 704 equal:

[[PyQt]]4.QtCore.QString(u'Add Features, Delete Features, Change Attribute Values, Add Attributes, Create Spatial Index, Fast

Access to Features at ID, Change Geometries')

and

[[PyQt]]4.QtCore.QString(u'Create Spatial Index, Fast Access to Features at ID")

Related issues:

Duplicates QGIS Application - Bug report # 2951: Layers become non-editable Closed

History

#1 - 2010-09-25 11:55 AM - Jiirgen Fischer
- Resolution set to duplicate
- Status changed from Open to Closed

duplicate of #2951

#2 - 2018-08-02 06:28 PM - Jiirgen Fischer

- Duplicated by Feature request #19529: Add edit geometries with query filter added

#3 - 2018-08-02 06:28 PM - Juirgen Fischer

- Duplicates Bug report #2951: Layers become non-editable added

#4 - 2018-08-02 06:29 PM - Jiirgen Fischer
- Duplicated by deleted (Feature request #19529: Add edit geometries with query filter)
